Page MenuHomePhabricator

Convert Special:ProtectedPages to OOUI
Closed, ResolvedPublic

Description

The form (from an implementation point of view) doesn't look sooo difficult, it should be possible using the HorizontalLayout.

Before

After

Event Timeline

Florian created this task.Nov 4 2015, 5:03 PM
Florian raised the priority of this task from to Normal.
Florian updated the task description. (Show Details)
Florian added a project: UI-Standardization.
TTO added a subscriber: TTO.Jan 11 2017, 7:07 AM

Change 376710 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/core@master] [WIP] Special:ProtectedPage: Use HTMLForm

https://gerrit.wikimedia.org/r/376710

@matmarex Separating the HTMLForm conversion and OOUI conversion into different patches this time. Your input would be helpful :)

Change 376710 merged by jenkins-bot:
[mediawiki/core@master] Special:ProtectedPages: Use HTMLForm

https://gerrit.wikimedia.org/r/376710

Do we want to do this now?

Old

New

Volker_E added a subscriber: Volker_E.EditedMar 26 2018, 8:33 AM

@Prtksxna Looks mostly good! Yet we should make the bytes input smaller… We can also make this in a follow-up patch.

Change 422367 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/core@master] Special:ProtectedPages: Convert to OOUI

https://gerrit.wikimedia.org/r/422367

It's almost twice as big. I would love to have checkboxes in one line instead of mulitple lines.

Volker_E updated the task description. (Show Details)Apr 4 2018, 4:13 PM

It's almost twice as big. I would love to have checkboxes in one line instead of mulitple lines.

Makes sense, let's use a HTMLMultiSelectField here instead.

Change 424193 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/core@master] Special:ProtectedPages: Use MultiSelectField instead of checks

https://gerrit.wikimedia.org/r/424193

Change 424193 merged by jenkins-bot:
[mediawiki/core@master] Special:ProtectedPages: Use MultiSelectField instead of checks

https://gerrit.wikimedia.org/r/424193

After switching to MultiSelectField:

Volker_E updated the task description. (Show Details)Apr 20 2018, 4:04 AM

Change 422367 merged by jenkins-bot:
[mediawiki/core@master] Special:ProtectedPages: Convert to OOUI

https://gerrit.wikimedia.org/r/422367

Volker_E closed this task as Resolved.Apr 20 2018, 5:43 PM
Volker_E assigned this task to Prtksxna.
Volker_E removed a project: Patch-For-Review.